package com.gh.gamecenter.feature.entity

import android.os.Parcelable
import com.google.gson.annotations.SerializedName
import kotlinx.parcelize.Parcelize

@Parcelize
data class AuthDialogEntity(
    @SerializedName("_id")
    var id: String = "",
    var link: String = "",
    @SerializedName("game_category")
    var gameCategory: String = "",//online (网络游戏) , local (单机游戏)， welfare (福利游戏)
    var level: String = ""//MUST_PASS:提示且认证通过 ALWAYS_HINT:仅提示且不可关闭 OPTIONAL_HINT:仅提示且可关闭
) : Parcelable

enum class AuthDialogLevel(val value: String) {
    MUST_PASS("MUST_PASS"),
    ALWAYS_HINT("ALWAYS_HINT"),
    OPTIONAL_HINT("OPTIONAL_HINT"),
}